#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>


class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent);

public slots:
	void OnHelp();
	void OnHelpChange();

	void OnStartedHelp();
	void OnEndHelp(int , QProcess::ExitStatus );
	
private:
	QAction *m_help_act;
	QAction *m_help_change_act;
	QAction *m_exit_act;

	QProcess *m_process_help;
	bool m_help_exec;
};


#endif
